Bug 450848 - SATA problem after kernel 2.6.24* update from 2.6.23* still in 2.6.25.*
SATA problem after kernel 2.6.24* update from 2.6.23* still in 2.6.25.*
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 08:07 EDT by MC
Modified: 2009-01-09 01:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:35:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The full dmesg output (45.47 KB, text/plain)
2008-06-11 08:07 EDT, MC
no flags Details

  None (edit)
Description MC 2008-06-11 08:07:57 EDT
Description of problem:
I am using the F8 with kernel 2.6.25.4-10.fc8. but the problem i have
encountered is present since the ugrade of the kernel from 2.6.23.* to
2.6.24.*. I have got the Asus P5W DH DELUXE motherboard with the 2004 BIOS.
I use 2 hdd SATA1(sda:Linux) and SATA2(sdb:windows) with DVD on
PRI_IDE(sdc) of this board. During the kernel start I got the 
messages in 'Actual results:'(aquired from the fragment of dmesg dealing with
the disks; Specially concerning the sdc section problems that display at the
screen during the kernel start). Its wired becouse the scd dvd is working  but
during the boot the additional waiting time is disturbing...

Version-Release number of selected component (if applicable):
kernel > 2.6.24*

How reproducible:
Boot with the Asus P5W DH DELUXE BIOS 2004

Steps to Reproduce:
1. During boot

  
Actual results:
Whole dmesg in attach.
$dmesg
(...)
scsi2 : ata_piix
scsi3 : ata_piix
ata3: SATA max UDMA/133 cmd 0xe400 ctl 0xe080 bmdma 0xd880 irq 23
ata4: SATA max UDMA/133 cmd 0xe000 ctl 0xdc00 bmdma 0xd888 irq 23
ata3.00: ATA-7: ST3250620AS, 3.AAC, max UDMA/133
ata3.00: 488397168 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata3.01: ATA-7: ST3250620AS, 3.AAC, max UDMA/133
ata3.01: 488397168 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata3.00: configured for UDMA/133
ata3.01: configured for UDMA/133
ata4.00: ATA-6: Config Disk, RGL10364, max UDMA/133
ata4.00: 640 sectors, multi 1: LBA
ata4.00: Drive reports diagnostics failure. This may indicate a drive
ata4.00: fault or invalid emulation. Contact drive vendor for information.
ata4.00: device is on DMA blacklist, disabling DMA
ata4.00: configured for PIO4
scsi 2:0:0:0: Direct-Access ATA ST3250620AS 3.AA PQ: 0 ANSI: 5
sd 2:0:0:0: [sda] 488397168 512-byte hardware sectors (250059 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't
support DPO or FUA
sd 2:0:0:0: [sda] 488397168 512-byte hardware sectors (250059 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't
support DPO or FUA
sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 sda10 sda11 >
sd 2:0:0:0: [sda] Attached SCSI disk
scsi 2:0:1:0: Direct-Access ATA ST3250620AS 3.AA PQ: 0 ANSI: 5
sd 2:0:1:0: [sdb] 488397168 512-byte hardware sectors (250059 MB)
sd 2:0:1:0: [sdb] Write Protect is off
sd 2:0:1:0: [sdb] Mode Sense: 00 3a 00 00
sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't
support DPO or FUA
sd 2:0:1:0: [sdb] 488397168 512-byte hardware sectors (250059 MB)
sd 2:0:1:0: [sdb] Write Protect is off
sd 2:0:1:0: [sdb] Mode Sense: 00 3a 00 00
sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't
support DPO or FUA
sdb: sdb1 sdb2 < sdb5 sdb6 sdb7 sdb8 >
sd 2:0:1:0: [sdb] Attached SCSI disk
scsi 3:0:0:0: Direct-Access ATA Config Disk RGL1 PQ: 0 ANSI: 5

sd 3:0:0:0: [sdc] 640 512-byte hardware sectors (0 MB)
sd 3:0:0:0: [sdc] Write Protect is off
sd 3:0:0:0: [sdc] Mode Sense: 00 3a 00 00
sd 3:0:0:0: [sdc] Write cache: disabled, read cache: enabled, doesn't
support DPO or FUA
sd 3:0:0:0: [sdc] 640 512-byte hardware sectors (0 MB)
sd 3:0:0:0: [sdc] Write Protect is off
sd 3:0:0:0: [sdc] Mode Sense: 00 3a 00 00
sd 3:0:0:0: [sdc] Write cache: disabled, read cache: enabled, doesn't
support DPO or FUA
sdc:<3>ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata4.00: cmd c4/00:08:00:00:00/00:00:00:00:00/e0 tag 0 pio 4096 in
res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata4.00: status: { DRDY }
ata4: soft resetting link
ata4.01: NODEV after polling detection
ata4.00: failed to IDENTIFY (INIT_DEV_PARAMS failed, err_mask=0x80)
ata4.00: revalidation failed (errno=-5)
ata4: failed to recover some devices, retrying in 5 secs
ata4: soft resetting link
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: SRST failed (errno=-16)
ata4: soft resetting link
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: SRST failed (errno=-16)
ata4: soft resetting link
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: SRST failed (errno=-16)
ata4: soft resetting link
ata4: SRST failed (errno=-16)
ata4: reset failed, giving up
ata4.00: disabled
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: device not ready (errno=-16), forcing hardreset
ata4: soft resetting link
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: SRST failed (errno=-16)
ata4: soft resetting link
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: SRST failed (errno=-16)
ata4: soft resetting link
INFO: task insmod:454 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
insmod D f704addc 0 454 1
f70187e0 00200082 00000000 f704addc 671106c5 00000001 f7038000 f7038248
c2012400 00000000 f7018000 00000000 0003bd5e 00000000 c2002420 f70187d8
c0439d7f c0798400 c2012400 0187a000 c2002420 f70187f0 c0629400 f701881c
Call Trace:
[<c0439d7f>] ? ktime_get_ts+0x45/0x49
[<c0629400>] io_schedule+0x4d/0x85
[<c0460fdb>] sync_page+0x36/0x3a
[<c062954b>] __wait_on_bit_lock+0x30/0x59
[<c0460fa5>] ? sync_page+0x0/0x3a
[<c0460f91>] __lock_page+0x4e/0x56
[<c04370e8>] ? wake_bit_function+0x0/0x43
[<c046150f>] read_cache_page_async+0xe9/0x144
[<c04a0d7b>] ? blkdev_readpage+0x0/0x11
[<c0462c68>] read_cache_page+0xc/0x44
[<c04b6a66>] read_dev_sector+0x37/0x6d
[<c04b8653>] ? efi_partition+0x0/0x611
[<c04b846d>] read_lba+0x48/0xa5
[<c04b8653>] ? efi_partition+0x0/0x611
[<c04b86d3>] efi_partition+0x80/0x611
[<c04f7a3a>] ? vsnprintf+0x274/0x40a
[<c04f7c48>] ? snprintf+0x1b/0x1d
[<c04b8653>] ? efi_partition+0x0/0x611
[<c04b7032>] rescan_partitions+0x10d/0x23b
[<c04a0ab1>] do_open+0x1c6/0x25e
[<c04a0bb5>] __blkdev_get+0x6c/0x77
[<c04a0bcd>] blkdev_get+0xd/0xf
[<c04b6ed8>] register_disk+0xcc/0x119
[<c04ed337>] add_disk+0x2e/0x3d
[<c04ec6c0>] ? exact_match+0x0/0xb
[<c04ed0fc>] ? exact_lock+0x0/0x11
[<f88b0c7f>] sd_probe+0x2b7/0x355 [sd_mod]
[<c05665ff>] driver_probe_device+0xc0/0x137
[<c0566676>] ? __device_attach+0x0/0xa
[<c056667e>] __device_attach+0x8/0xa
[<c0565a2b>] bus_for_each_drv+0x39/0x64
[<c056670f>] device_attach+0x70/0x88
[<c0566676>] ? __device_attach+0x0/0xa
[<c05659c4>] bus_attach_device+0x28/0x56
[<c0564ae0>] device_add+0x30f/0x462
[<f88789f1>] scsi_sysfs_add_sdev+0x34/0x17c [scsi_mod]
[<f8876db3>] scsi_probe_and_add_lun+0x8d2/0x9e3 [scsi_mod]
[<c061ba98>] ? klist_node_init+0x36/0x3a
[<c0629711>] ? mutex_lock+0x1d/0x2d
[<f8877b6a>] __scsi_add_device+0x83/0xb2 [scsi_mod]
[<f88e5bd4>] ata_scsi_scan_host+0x97/0x20f [libata]
[<f88e2d03>] ata_host_register+0x1fb/0x218 [libata]
[<f88e76e6>] ata_pci_activate_sff_host+0x179/0x19f [libata]
[<f88e3eb7>] ? ata_interrupt+0x0/0x1a4 [libata]
[<f88bef9d>] piix_init_one+0x5e2/0x605 [ata_piix]
[<c0501bb5>] pci_device_probe+0x39/0x5b
[<c05665ff>] driver_probe_device+0xc0/0x137
[<c056679a>] __driver_attach+0x73/0xa9
[<c0565b43>] bus_for_each_dev+0x37/0x5c
[<c0566484>] driver_attach+0x14/0x16
[<c0566727>] ? __driver_attach+0x0/0xa9
[<c0566291>] bus_add_driver+0x90/0x1b7
[<c0566990>] driver_register+0x47/0xa2
[<c047390b>] ? __vunmap+0x93/0x9b
[<c0501d58>] __pci_register_driver+0x35/0x61
[<f8836017>] piix_init+0x17/0x2a [ata_piix]
[<c0444e11>] sys_init_module+0x1610/0x177a
[<f88de7e5>] ? ata_port_start+0x0/0x2f [libata]
[<c0493085>] ? mntput_no_expire+0x14/0x68
[<c0405b7a>] syscall_call+0x7/0xb
=======================
ata4: port is slow to respond, please be patient (Status 0xd0)
ata4: SRST failed (errno=-16)
ata4: soft resetting link
ata4: SRST failed (errno=-16)
ata4: reset failed, giving up
ata4: EH complete
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
Dev sdc: unable to read RDB block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
Buffer I/O error on device sdc, logical block 0
unable to read partition table
sd 3:0:0:0: [sdc] Attached SCSI disk
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 512
Buffer I/O error on device sdc, logical block 64
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 512
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 8
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 16
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 24
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 32
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 40
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 48
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 56
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 64
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 72
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 80
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 88
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 96
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 104
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 112
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 120
sd 3:0:0:0: [sdc] Result: hostbyte=DID_BAD_TARGET
driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdc, sector 0
kjournald starting. Commit interval 5 seconds
(...)


Expected results:
sdc section should not look this way (?)

Additional info:
RAM 2GB
C2D @2.4GH
Comment 1 MC 2008-06-11 08:07:57 EDT
Created attachment 308922 [details]
The full dmesg output
Comment 2 Chuck Ebbert 2008-06-11 16:29:29 EDT
It should work a lot better if you go into the BIOS and set the controller to
AHCI mode. But you would need to build a new initrd first, adding the
'--with=ahci' option to the mkinitrd command.
Comment 3 Chuck Ebbert 2008-06-11 22:20:19 EDT
The system should work okay after the error messages at boot time. Does it?
Comment 4 MC 2008-06-12 02:34:58 EDT
Hi,

>The system should work okay after the error messages at boot time. Does it?


Yes, as I have written after those messages it boots and works with no noticed
failures (it doesnt mean there aren't any of course :) ). 

>It should work a lot better if you go into the BIOS and set the controller to
>AHCI mode. But you would need to build a new initrd first, adding the
>'--with=ahci' option to the mkinitrd command.

Well I could do it for a test but this would not solve the case. I use the dual
boot (sdb is the WIN* system) and the AHCI BIOS settings cant be accepted as for
that system. I would have to change from "Enchanced" to "AHCI" every  time I
would like to switch the system during the GRUB choice.
Comment 5 MC 2008-06-12 05:27:00 EDT
The main problem is about the time that every boot needs to be spend on the
error messages to be dispayed (approx. 1 minute).
Comment 6 MC 2008-07-02 02:56:50 EDT
Now I have also noticed that the LED on PC case is showing constant read/write
on the secondary sdb drive. This is disturbing, I am afraid this could lead to
the the sdb drive hardware destroyed. This drive is not being used in any way as
it contains the Win* system and no intended access to it is beaing made. No
updatedb or Beagle is running and the problem starts since the error messages at
the begining of the boot.
Comment 7 MC 2008-07-03 07:06:23 EDT
Today I have installed the newest stable kernel from fedora official repo
(2.6.25.9-40.fc8) while working on kernel-2.6.25.6-27.fc8. Ater the reeboot from
console I noticed no errors at the begining so I thought You guyz fixed the
problem but then after the another menu reboot I got back with the old errors
and the udev error sth about the /tmp... identyfy. I cant find it dmesg and its
not in the /var/log/boot.log which is empty.
Comment 8 Bug Zapper 2008-11-26 05:50:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:35:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.